import '../common/codable.dart';
import '../common/media_attachment.dart';
import 'activitybutton.dart';

/// Describe ActivityContent object.
class ActivityContent extends Encodable {
  String? text;
  List<MediaAttachment> attachments = [];
  ActivityButton? activityButton;
  Map<String, String> properties = {};

  Map<String, dynamic> toJSON() => {
        'text': text == null ? '' : text,
        'attachments': attachments.map((e) => e.toJSON()).toList(),
        'button': activityButton?.toJSON(),
        'properties': properties
      };
}
