import '../usermanagement/user.dart';

/// Describe SuggestedFriend object.
class SuggestedFriend extends User {
  SuggestedFriend.fromJSON(Map<String, dynamic> json)
      : mutualFriendsCount = json['mutualFriendsCount'],
        super.fromJSON(json);

  /// Number of mutual friends with current user.
  int mutualFriendsCount;

  @override
  String toString() {
    return super.toString() + ', mutualFriendsCount: $mutualFriendsCount';
  }
}
