import '../usermanagement/public.dart';

/// Describe ReferralUser object.
class ReferralUser extends User {
  ReferralUser.fromJSON(Map<String, dynamic> json)
      : eventDate = json['eventDate'],
        event = json['event'],
        eventData = Map<String, String>.from(json['eventData']),
        super.fromJSON(json);

  int eventDate;
  String? event;
  Map<String, String> eventData;

  @override
  String toString() {
    return super.toString() +
        ', eventDate: $eventDate, eventData: $eventData, event: $event';
  }
}
