import '../common/codable.dart';
import '../common/media_attachment.dart';

/// Describe ChatMessage object.
class ChatMessageContent extends Encodable {
  String? text;
  List<MediaAttachment> attachments = [];
  Map<String, String> properties = {};

  Map<String, dynamic> toJSON() => {
    'text': text == null ? '' : text,
    'attachments': attachments.map((e) => e.toJSON()).toList(),
    'properties': properties
  };
}
