import '../../common/codable.dart';
import '../chatid.dart';

class ChatMessagesQuery extends Encodable {
  late ChatId _chatId;

  static ChatMessagesQuery messagesInChat(ChatId id) {
    ChatMessagesQuery query = ChatMessagesQuery();
    query._chatId = id;
    return query;
  }

  Map<String, dynamic> toJSON() =>
      {'chatId': _chatId.toJSON()};
}
