import '../../common/codable.dart';
import '../../common/public.dart';

class RemoveGroupMembersQuery extends Encodable {
  late UserIdList userIdList;
  late String groupId;

  RemoveGroupMembersQuery(UserIdList userIdList, String groupId) {
    this.userIdList = userIdList;
    this.groupId = groupId;
  }

  static RemoveGroupMembersQuery create(String groupId, UserIdList userIdList) {
    return RemoveGroupMembersQuery(userIdList, groupId);
  }

  Map<String, dynamic> toJSON() => {
    'userIdList': userIdList.toJSON(),
    'groupId': groupId
  };
}
